# MSP::CCS::CoordinateTuple Class Reference

`#include <CoordinateTuple.h>`

Inheritance diagram for MSP::CCS::CoordinateTuple:

List of all members.

## Public Member Functions

| CoordinateTuple ()
| CoordinateTuple (MSP::CCS::CoordinateType::Enum __coordinateType)
| CoordinateTuple (MSP::CCS::CoordinateType::Enum __coordinateType, const char *__warningMessage)
| CoordinateTuple (const CoordinateTuple &ct)
virtual | ~CoordinateTuple ()
CoordinateTuple & | operator= (const CoordinateTuple &ct)
void | set (MSP::CCS::CoordinateType::Enum __coordinateType, const char *__warningMessage, const char *__errorMessage)
void | setCoordinateType (MSP::CCS::CoordinateType::Enum __coordinateType)
CoordinateType::Enum | coordinateType () const
void | setErrorMessage (const char *__errorMessage)
const char * | errorMessage () const
void | setWarningMessage (const char *__warningMessage)
const char * | warningMessage () const

## Protected Attributes

CoordinateType::Enum | _coordinateType
char | _errorMessage [500]
char | _warningMessage [500]

## Detailed Description

Definition at line 14 of file CoordinateTuple.h.

## Constructor & Destructor Documentation

CoordinateTuple::CoordinateTuple | ( |  | ) |

Definition at line 12 of file CoordinateTuple.cpp.

CoordinateTuple::CoordinateTuple | ( | MSP::CCS::CoordinateType::Enum | __coordinateType | ) |

Definition at line 21 of file CoordinateTuple.cpp.

CoordinateTuple::CoordinateTuple | ( | MSP::CCS::CoordinateType::Enum | __coordinateType,
|  | const char * | __warningMessage |
| ) |  |  |

Definition at line 30 of file CoordinateTuple.cpp.

CoordinateTuple::CoordinateTuple | ( | const CoordinateTuple & | ct | ) |

Definition at line 40 of file CoordinateTuple.cpp.

CoordinateTuple::~CoordinateTuple | ( |  | ) | `[virtual]`

Definition at line 52 of file CoordinateTuple.cpp.

## Member Function Documentation

CoordinateType::Enum CoordinateTuple::coordinateType | ( |  | ) | const

Definition at line 82 of file CoordinateTuple.cpp.

const char * CoordinateTuple::errorMessage | ( |  | ) | const

Definition at line 103 of file CoordinateTuple.cpp.

CoordinateTuple & CoordinateTuple::operator= | ( | const CoordinateTuple & | ct | ) |

Reimplemented in MSP::CCS::BNGCoordinates, MSP::CCS::CartesianCoordinates, MSP::CCS::GARSCoordinates, MSP::CCS::GeodeticCoordinates, MSP::CCS::GEOREFCoordinates, MSP::CCS::MapProjectionCoordinates, MSP::CCS::MGRSorUSNGCoordinates, MSP::CCS::UPSCoordinates, and MSP::CCS::UTMCoordinates.

Definition at line 59 of file CoordinateTuple.cpp.

void CoordinateTuple::set | ( | MSP::CCS::CoordinateType::Enum | __coordinateType,
|  | const char * | __warningMessage,
|  | const char * | __errorMessage |
| ) |  |  |

Definition at line 88 of file CoordinateTuple.cpp.

void CoordinateTuple::setCoordinateType | ( | MSP::CCS::CoordinateType::Enum | __coordinateType | ) |

Definition at line 76 of file CoordinateTuple.cpp.

void CoordinateTuple::setErrorMessage | ( | const char * | __errorMessage | ) |

Definition at line 96 of file CoordinateTuple.cpp.

void CoordinateTuple::setWarningMessage | ( | const char * | __warningMessage | ) |

Definition at line 109 of file CoordinateTuple.cpp.

const char * CoordinateTuple::warningMessage | ( |  | ) | const

Definition at line 116 of file CoordinateTuple.cpp.

## Member Data Documentation

CoordinateType::Enum MSP::CCS::CoordinateTuple::_coordinateType `[protected]`

Definition at line 40 of file CoordinateTuple.h.

char MSP::CCS::CoordinateTuple::_errorMessage[500]`[protected]`

Definition at line 41 of file CoordinateTuple.h.

char MSP::CCS::CoordinateTuple::_warningMessage[500]`[protected]`

Definition at line 42 of file CoordinateTuple.h.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateTuples/CoordinateTuple.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateTuples/CoordinateTuple.cpp